org.jbpm.services.task.audit.service

## Class TaskVariableDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskVariableDeleteBuilder>
      - - org.jbpm.services.task.audit.service.TaskVariableDeleteBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.TaskVariableDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.TaskVariableDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.task.query.TaskVariableDeleteBuilder>, org.kie.internal.task.query.TaskVariableDeleteBuilder

      public class TaskVariableDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskVariableDeleteBuilder>
      implements org.kie.internal.task.query.TaskVariableDeleteBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `AbstractAuditDeleteBuilderImpl.Subquery`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `deploymentId, executor, jpaAuditService, recordsPerTransaction, statuses`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskVariableDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)`
    `TaskVariableDeleteBuilderImpl(JPAAuditLogService jpaAuditService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.task.query.TaskVariableDeleteBuilder` | `date(Date... date)`
    `org.kie.internal.task.query.TaskVariableDeleteBuilder` | `dateRangeEnd(Date rangeStart)`
    `org.kie.internal.task.query.TaskVariableDeleteBuilder` | `dateRangeStart(Date rangeStart)`
    `protected String` | `getQueryTable()`
    `protected Class` | `getQueryType()`
    `protected boolean` | `isSubquerySupported()`

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `applyParameters, build, checkIfNull, ensureDateNotTimestamp, getJpaAuditLogService, getSubQuery, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### TaskVariableDeleteBuilderImpl

          public TaskVariableDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)

    - #### TaskVariableDeleteBuilderImpl

          public TaskVariableDeleteBuilderImpl(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### date

          public org.kie.internal.task.query.TaskVariableDeleteBuilder date(Date... date)

      Specified by:
        `date` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.TaskVariableDeleteBuilder>`
      Overrides:
        `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskVariableDeleteBuilder>`

    - #### dateRangeStart

          public org.kie.internal.task.query.TaskVariableDeleteBuilder dateRangeStart(Date rangeStart)

      Specified by:
        `dateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.TaskVariableDeleteBuilder>`
      Overrides:
        `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskVariableDeleteBuilder>`

    - #### dateRangeEnd

          public org.kie.internal.task.query.TaskVariableDeleteBuilder dateRangeEnd(Date rangeStart)

      Specified by:
        `dateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.task.query.TaskVariableDeleteBuilder>`
      Overrides:
        `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskVariableDeleteBuilder>`

    - #### getQueryType

          protected Class getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskVariableDeleteBuilder>`

    - #### getQueryTable

          protected String getQueryTable()

      Specified by:
        `getQueryTable` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskVariableDeleteBuilder>`

    - #### isSubquerySupported

          protected boolean isSubquerySupported()

      Overrides:
        `isSubquerySupported` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.task.query.TaskVariableDeleteBuilder>`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.